{% extends "master.twig" %}

{% block title %}
    {{ class.start_title }}
{% endblock %}

{% block description %}
    {{ class.start_body|striptags|length > 150 ? class.start_body|striptags|slice(0, 150) ~ '...' : class.start_body|striptags }}
{% endblock %}

{% block body %}

<div class="ui bottom attached centered segment stackable grid" id="content">

    <div id="fluid" class="two wide column">
        <div class="ui raised vertical fluid menu">

            <div class="ui large fluid input">
                <input class="search" type="text" placeholder="Search dates...">
            </div>

            <div class="list">
                {% for class in classes %}
                <a class="item" href="/class/{{ class.id }}">
                    <p class="s-date">{{ class.start_date|date("F Y") }}</p>
                </a>
                {% endfor %}
            </div>
        </div>
    </div>

    <div class="twelve wide column">
        <div class="ui raised segments">
            <div class="ui segment">
                <div class="ui grid">
                    <div class="fourteen wide column">
                        <h2>{{ class.start_title }}</h2>
                    </div>
                    <div class="two wide right aligned column">
                        <div class="ui right floated label">{{ class.start_date }}</div>
                    </div>
                </div>
                {{ class.start_body|raw }}
            </div>
            <div class="ui divider"></div>
            <div class="ui segment">
                <div class="ui grid">
                    <div class="fourteen wide column">
                        <h2>{{ class.end_title }}</h2>
                    </div>
                    <div class="two wide right aligned column">
                        <div class="ui right floated label">{{ class.end_date }}</div>
                    </div>
                </div>
                {{ class.end_body|raw }}
            </div>
        </div>
    </div>

    <div class="two wide column"></div>
</div>

{% endblock %}
